### Virtual Method

# Gio SettingsBackend read_user_value

#### Declaration [src]

    GVariant*
    read_user_value (
      GSettingsBackend* backend,
      const gchar* key,
      const GVariantType* expected_type
    )

#### Description [src]

Virtual method to read user’s key value.

#### Parameters

`key`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`expected_type`

  Type: `GVariantType`

  No description available.

  The data is owned by the caller of the function.

#### Return value

Type: `GVariant`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.